Last Comment Bug 648865 - Remove WINCE code from js/src/assember/*
: Remove WINCE code from js/src/assember/*
Status: VERIFIED FIXED
[fixed-in-tracemonkey]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All Windows CE
: -- normal (vote)
: mozilla6
Assigned To: Ed Morley [:emorley]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 614720 647389
  Show dependency treegraph
 
Reported: 2011-04-10 08:02 PDT by Ed Morley [:emorley]
Modified: 2011-05-02 17:19 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (based on TM rev 4ace629bb676) (7.23 KB, patch)
2011-04-10 08:09 PDT, Ed Morley [:emorley]
dmandelin: review+
Details | Diff | Splinter Review
Patch v1 (updated to TM tip) (7.31 KB, patch)
2011-04-22 18:02 PDT, Ed Morley [:emorley]
emorley: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2011-04-10 08:02:21 PDT
Bug 647389 removed WINCE/WINMO code from most of spidermonkey. However, it was requested that some parts of the patch be broken out into separate bugs, since they covered code from upstream sources.

From bug 647389 comment 37:

> >   - js/src/assembler is shared or stolen code too, but I don't know the
> >     policy there. Maybe we've forked it. Paul, ask dmandelin or dvander?
> 
> File a follow-on, submit the subset of the patch in js/src/assembler/ and ask
> cdleary for a review (This code originally landed in cdleary's Yarr patch, and
> it's unclear if this code came from upstream, in which case we won't delete
> it).
Comment 1 Ed Morley [:emorley] 2011-04-10 08:09:49 PDT
Created attachment 524953 [details] [diff] [review]
Patch v1 (based on TM rev 4ace629bb676)
Comment 2 Chris Leary [:cdleary] (not checking bugmail) 2011-04-21 22:17:09 PDT
Comment on attachment 524953 [details] [diff] [review]
Patch v1 (based on TM rev 4ace629bb676)

I'm passing review on this over to dmandelin -- I think we want to leave it in to make upstream merge comparisons more trivial, but getting a second opinion sounds like a good idea. :-)
Comment 3 Ed Morley [:emorley] 2011-04-22 03:29:12 PDT
(In reply to comment #2)
> ...I think we want to leave it in
> to make upstream merge comparisons more trivial, but getting a second opinion
> sounds like a good idea. :-)

Cool yeah WONTFIX would make more sense if it's still being synced with upstream; thought it worth asking either way, given that the patch had already been created for bug 647389 before I realised :-)
Comment 4 David Mandelin [:dmandelin] 2011-04-22 16:30:02 PDT
Comment on attachment 524953 [details] [diff] [review]
Patch v1 (based on TM rev 4ace629bb676)

I hear WINCE is dead, so let's take it. It looks very unlikely to cause merge conflicts.
Comment 5 Ed Morley [:emorley] 2011-04-22 18:02:14 PDT
Created attachment 527896 [details] [diff] [review]
Patch v1 (updated to TM tip)

Updated to TM tip.
Comment 6 Ed Morley [:emorley] 2011-04-22 18:02:39 PDT
(In reply to comment #4)
> I hear WINCE is dead, so let's take it. It looks very unlikely to cause merge
> conflicts.

Great, thanks for the review :-)
Comment 7 Ed Morley [:emorley] 2011-04-25 12:15:37 PDT
http://hg.mozilla.org/tracemonkey/rev/3246e3124fe7

Thanks Boris :-)
Comment 8 Chris Leary [:cdleary] (not checking bugmail) 2011-04-26 15:19:42 PDT
http://hg.mozilla.org/mozilla-central/rev/3246e3124fe7
Comment 9 Ed Morley [:emorley] 2011-04-26 15:38:46 PDT
Thanks Chris :-)
Comment 10 Ed Morley [:emorley] 2011-05-02 17:19:09 PDT
http://mxr.mozilla.org/mozilla-central/search?string=wince&find=/js/src/assember/
...returns 0 results.

-> Verified.

Note You need to log in before you can comment on or make changes to this bug.